Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.builder.support
Class FlowBuilderContextImpl

    java.lang.Object
      org.springframework.webflow.engine.builder.support.FlowBuilderContextImpl

All Implemented Interfaces:
  FlowBuilderContext

Direct Known Subclasses:
  MockFlowBuilderContext

    public class FlowBuilderContextImpl

extends java.lang.Object
implements FlowBuilderContext

Generic implementation of a flow builder context, suitable for use by most flow assembly systems.

Author:
  Keith Donald

Constructor Summary
`FlowBuilderContextImpl(java.lang.String flowId, AttributeMap flowAttributes, FlowDefinitionLocator flowDefinitionLocator, FlowBuilderServices flowBuilderServices)` Creates a new flow builder context.

Method Summary
`protected ConversionService` | `createConversionService()` Factory method that creates the conversion service the flow builder will use.
`org.springframework.context.ApplicationContext` | `getApplicationContext()` Returns the application context hosting the flow system.
`ConversionService` | `getConversionService()` Returns a generic type conversion service for converting between types, typically from string to a rich value object.
`ExpressionParser` | `getExpressionParser()` Returns the expression parser for parsing expression strings.
`FlowArtifactFactory` | `getFlowArtifactFactory()` Returns the factory for core flow artifacts such as Flow and State.
`AttributeMap` | `getFlowAttributes()` Returns externally configured attributes to assign to the flow definition being built.
`FlowBuilderServices` | `getFlowBuilderServices()`
`FlowDefinitionLocator` | `getFlowDefinitionLocator()` Returns the locator for locating dependent flows (subflows).
`java.lang.String` | `getFlowId()` Returns an externally configured flow definition identifier to assign to the flow being built.
`org.springframework.validation.Validator` | `getValidator()` Returns the Validator instance to use for validating a model.
`ViewFactoryCreator` | `getViewFactoryCreator()` Returns the view factory creator for configuring a ViewFactory per view state

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowBuilderContextImpl

    public FlowBuilderContextImpl(java.lang.String flowId,
                                  AttributeMap flowAttributes,
                                  FlowDefinitionLocator flowDefinitionLocator,
                                  FlowBuilderServices flowBuilderServices)

  Creates a new flow builder context.

  Parameters:
    `flowId` - the id to assign the flow being built
    `flowAttributes` - attributes to assign the flow being built
    `flowDefinitionLocator` - a locator to find dependent subflows
    `flowBuilderServices` - a parameter object providing access to additional services needed by the flow builder

Method Detail

### getFlowBuilderServices

    public FlowBuilderServices getFlowBuilderServices()

### getFlowId

    public java.lang.String getFlowId()

  Description copied from interface: `FlowBuilderContext`
  Returns an externally configured flow definition identifier to assign to the flow being built.

  Specified by:
    `getFlowId` in interface `FlowBuilderContext`
  Returns:
    the flow id

### getFlowAttributes

    public AttributeMap getFlowAttributes()

  Description copied from interface: `FlowBuilderContext`
  Returns externally configured attributes to assign to the flow definition being built.

  Specified by:
    `getFlowAttributes` in interface `FlowBuilderContext`
  Returns:
    the flow attributes

### getFlowArtifactFactory

    public FlowArtifactFactory getFlowArtifactFactory()

  Description copied from interface: `FlowBuilderContext`
  Returns the factory for core flow artifacts such as Flow and State.

  Specified by:
    `getFlowArtifactFactory` in interface `FlowBuilderContext`
  Returns:
    the flow artifact factory

### getFlowDefinitionLocator

    public FlowDefinitionLocator getFlowDefinitionLocator()

  Description copied from interface: `FlowBuilderContext`
  Returns the locator for locating dependent flows (subflows).

  Specified by:
    `getFlowDefinitionLocator` in interface `FlowBuilderContext`
  Returns:
    the flow definition locator

### getConversionService

    public ConversionService getConversionService()

  Description copied from interface: `FlowBuilderContext`
  Returns a generic type conversion service for converting between types, typically from string to a rich value object.

  Specified by:
    `getConversionService` in interface `FlowBuilderContext`
  Returns:
    the generic conversion service

### getViewFactoryCreator

    public ViewFactoryCreator getViewFactoryCreator()

  Description copied from interface: `FlowBuilderContext`
  Returns the view factory creator for configuring a ViewFactory per view state

  Specified by:
    `getViewFactoryCreator` in interface `FlowBuilderContext`
  Returns:
    the view factory creator

### getExpressionParser

    public ExpressionParser getExpressionParser()

  Description copied from interface: `FlowBuilderContext`
  Returns the expression parser for parsing expression strings.

  Specified by:
    `getExpressionParser` in interface `FlowBuilderContext`
  Returns:
    the expression parser

### getApplicationContext

    public org.springframework.context.ApplicationContext getApplicationContext()

  Description copied from interface: `FlowBuilderContext`
  Returns the application context hosting the flow system.

  Specified by:
    `getApplicationContext` in interface `FlowBuilderContext`
  Returns:
    the application context

### getValidator

    public org.springframework.validation.Validator getValidator()

  Description copied from interface: `FlowBuilderContext`
  Returns the Validator instance to use for validating a model.

  Specified by:
    `getValidator` in interface `FlowBuilderContext`
  Returns:
    the validator

### createConversionService

    protected ConversionService createConversionService()

  Factory method that creates the conversion service the flow builder will use. Subclasses may override. The default implementation registers Web Flow-specific converters thought to be useful for most builder implementations, setting the externally-provided builder services conversion service as its parent.

  Returns:
    the flow builder conversion service

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD